Mailinglist Archive: opensuse-security-announce (32 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:1041-1: critical: Security update for cups
SUSE Security Update: Security update for cups
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:1041-1
Rating: critical
References: #924208
Cross-References: CVE-2012-5519 CVE-2015-1158 CVE-2015-1159

Affected Products:
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Desktop 12
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

The following issues are fixed by this update:

* CVE-2012-5519: privilege escalation via cross-site scripting and bad
print job submission used to replace cupsd.conf on server (bsc#924208).
* CVE-2015-1158: Improper Update of Reference Count
* CVE-2015-1159: Cross-Site Scripting


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2015-264=1

- SUSE Linux Enterprise Server 12:

zypper in -t patch SUSE-SLE-SERVER-12-2015-264=1

- SUSE Linux Enterprise Desktop 12:

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-264=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12 (ppc64le s390x x86_64):

cups-debuginfo-1.7.5-9.1
cups-debugsource-1.7.5-9.1
cups-devel-1.7.5-9.1

- SUSE Linux Enterprise Server 12 (ppc64le s390x x86_64):

cups-1.7.5-9.1
cups-client-1.7.5-9.1
cups-client-debuginfo-1.7.5-9.1
cups-debuginfo-1.7.5-9.1
cups-debugsource-1.7.5-9.1
cups-libs-1.7.5-9.1
cups-libs-debuginfo-1.7.5-9.1

- SUSE Linux Enterprise Server 12 (s390x x86_64):

cups-libs-32bit-1.7.5-9.1
cups-libs-debuginfo-32bit-1.7.5-9.1

- SUSE Linux Enterprise Desktop 12 (x86_64):

cups-1.7.5-9.1
cups-client-1.7.5-9.1
cups-client-debuginfo-1.7.5-9.1
cups-debuginfo-1.7.5-9.1
cups-debugsource-1.7.5-9.1
cups-libs-1.7.5-9.1
cups-libs-32bit-1.7.5-9.1
cups-libs-debuginfo-1.7.5-9.1
cups-libs-debuginfo-32bit-1.7.5-9.1


References:

https://www.suse.com/security/cve/CVE-2012-5519.html
https://www.suse.com/security/cve/CVE-2015-1158.html
https://www.suse.com/security/cve/CVE-2015-1159.html
https://bugzilla.suse.com/924208

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages